org.apache.calcite.avatica.remote

## Class Service.ExecuteResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.ExecuteResponse

Enclosing interface:
  Service

    public static class Service.ExecuteResponse
    extends Service.Response

Response to a `Service.PrepareAndExecuteRequest`.

### Field Summary

Fields
`boolean` `missingStatement`
`List<Service.ResultSetResponse>` `results`
`Service.RpcMetadataResponse` `rpcMetadata`

### Constructor Summary

Constructors
Constructor and Description
`ExecuteResponse(List<Service.ResultSetResponse> results, boolean missingStatement, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### results

    public final List<Service.ResultSetResponse> results

#### missingStatement

    public boolean missingStatement

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### ExecuteResponse

    public ExecuteResponse(List<Service.ResultSetResponse> results,
                           boolean missingStatement,
                           Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`